AbstractReplicatedMap.MapMessage (Apache Tomcat 8.5.84 API Documentation)

Package org.apache.catalina.tribes.tipis

## Class AbstractReplicatedMap.MapMessage

- java.lang.Object
- - org.apache.catalina.tribes.tipis.AbstractReplicatedMap.MapMessage

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Cloneable`
  Enclosing class:
    AbstractReplicatedMap<K,​V>

      public static class AbstractReplicatedMap.MapMessage
      extends java.lang.Object
      implements java.io.Serializable, java.lang.Cloneable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `MSG_ACCESS` |
    `static int` | `MSG_BACKUP` |
    `static int` | `MSG_COPY` |
    `static int` | `MSG_INIT` |
    `static int` | `MSG_NOTIFY_MAPMEMBER` |
    `static int` | `MSG_PING` |
    `static int` | `MSG_PROXY` |
    `static int` | `MSG_REMOVE` |
    `static int` | `MSG_RETRIEVE_BACKUP` |
    `static int` | `MSG_START` |
    `static int` | `MSG_STATE` |
    `static int` | `MSG_STATE_COPY` |
    `static int` | `MSG_STOP` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MapMessage​(byte[] mapId, int msgtype, boolean diff, java.io.Serializable key, java.io.Serializable value, byte[] diffvalue, Member primary, Member[] nodes)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `AbstractReplicatedMap.MapMessage` | `clone()` | shallow clone
    `void` | `deserialize​(java.lang.ClassLoader[] cls)` |
    `Member[]` | `getBackupNodes()` |
    `byte[]` | `getDiffValue()` |
    `java.io.Serializable` | `getKey()` |
    `byte[]` | `getKeyData()` |
    `byte[]` | `getMapId()` |
    `int` | `getMsgType()` |
    `Member` | `getPrimary()` |
    `java.lang.String` | `getTypeDesc()` |
    `java.io.Serializable` | `getValue()` |
    `byte[]` | `getValueData()` |
    `boolean` | `isDiff()` |
    `java.io.Serializable` | `key​(java.lang.ClassLoader[] cls)` |
    `void` | `setKey​(java.io.Serializable key)` |
    `void` | `setValue​(java.io.Serializable value)` |
    `java.lang.String` | `toString()` |
    `java.io.Serializable` | `value​(java.lang.ClassLoader[] cls)` |

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### MSG_BACKUP

          public static final int MSG_BACKUP

      See Also:
        Constant Field Values

    - #### MSG_RETRIEVE_BACKUP

          public static final int MSG_RETRIEVE_BACKUP

      See Also:
        Constant Field Values

    - #### MSG_PROXY

          public static final int MSG_PROXY

      See Also:
        Constant Field Values

    - #### MSG_REMOVE

          public static final int MSG_REMOVE

      See Also:
        Constant Field Values

    - #### MSG_STATE

          public static final int MSG_STATE

      See Also:
        Constant Field Values

    - #### MSG_START

          public static final int MSG_START

      See Also:
        Constant Field Values

    - #### MSG_STOP

          public static final int MSG_STOP

      See Also:
        Constant Field Values

    - #### MSG_INIT

          public static final int MSG_INIT

      See Also:
        Constant Field Values

    - #### MSG_COPY

          public static final int MSG_COPY

      See Also:
        Constant Field Values

    - #### MSG_STATE_COPY

          public static final int MSG_STATE_COPY

      See Also:
        Constant Field Values

    - #### MSG_ACCESS

          public static final int MSG_ACCESS

      See Also:
        Constant Field Values

    - #### MSG_NOTIFY_MAPMEMBER

          public static final int MSG_NOTIFY_MAPMEMBER

      See Also:
        Constant Field Values

    - #### MSG_PING

          public static final int MSG_PING

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### MapMessage

          public MapMessage​(byte[] mapId,
                            int msgtype,
                            boolean diff,
                            java.io.Serializable key,
                            java.io.Serializable value,
                            byte[] diffvalue,
                            Member primary,
                            Member[] nodes)

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getTypeDesc

          public java.lang.String getTypeDesc()

    - #### deserialize

          public void deserialize​(java.lang.ClassLoader[] cls)
                           throws java.io.IOException,
                                  java.lang.ClassNotFoundException

      Throws:
        `java.io.IOException`
        `java.lang.ClassNotFoundException`

    - #### getMsgType

          public int getMsgType()

    - #### isDiff

          public boolean isDiff()

    - #### getKey

          public java.io.Serializable getKey()

    - #### key

          public java.io.Serializable key​(java.lang.ClassLoader[] cls)
                                   throws java.io.IOException,
                                          java.lang.ClassNotFoundException

      Throws:
        `java.io.IOException`
        `java.lang.ClassNotFoundException`

    - #### getKeyData

          public byte[] getKeyData()

    - #### getValue

          public java.io.Serializable getValue()

    - #### value

          public java.io.Serializable value​(java.lang.ClassLoader[] cls)
                                     throws java.io.IOException,
                                            java.lang.ClassNotFoundException

      Throws:
        `java.io.IOException`
        `java.lang.ClassNotFoundException`

    - #### getValueData

          public byte[] getValueData()

    - #### getDiffValue

          public byte[] getDiffValue()

    - #### getBackupNodes

          public Member[] getBackupNodes()

    - #### getPrimary

          public Member getPrimary()

    - #### getMapId

          public byte[] getMapId()

    - #### setValue

          public void setValue​(java.io.Serializable value)

    - #### setKey

          public void setKey​(java.io.Serializable key)

    - #### clone

          public AbstractReplicatedMap.MapMessage clone()

      shallow clone
      Overrides:
        `clone` in class `java.lang.Object`
      Returns:
        Object